FaultInfo (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.FaultInfo,FaultInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class FaultInfo

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.FaultInfo

public class FaultInfo
extends java.lang.Object

Fault information object. This should probably really be FaultEntry and it should be a subclass of SymTabEntry, but faults aren't first-class objects in WSDL, so I'm not sure what the FaultEntry should contain and how it should be constructed, so for now leave it as a simple object.

Constructor Summary
`FaultInfo(javax.wsdl.Fault fault, Use use, java.lang.String namespace, SymbolTable symbolTable)` This constructor creates FaultInfo for a binding fault.
`FaultInfo(QName faultMessage, java.lang.String faultPart, java.lang.String faultUse, java.lang.String faultNamespaceURI, SymbolTable symbolTable)`
`FaultInfo(javax.wsdl.extensions.soap.SOAPHeaderFault fault, SymbolTable symbolTable)` This constructor creates FaultInfo for a soap:headerFault.

Method Summary
`javax.wsdl.Message` | `getMessage()`
`java.lang.String` | `getName()` Return the name of the fault.
`QName` | `getQName()` Return the QName of a fault.
`Use` | `getUse()`
`QName` | `getXMLType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultInfo

    public FaultInfo(javax.wsdl.Fault fault,
                     Use use,
                     java.lang.String namespace,
                     SymbolTable symbolTable)

  This constructor creates FaultInfo for a binding fault. If the part of the fault is a type, then the QName is derived from the element name and the provided namespace (this namespace SHOULD come from the binding). If the part of the fault is an element, then the QName is the QName of the element, and the given namespace is ignored.

### FaultInfo

    public FaultInfo(javax.wsdl.extensions.soap.SOAPHeaderFault fault,
                     SymbolTable symbolTable)
              throws java.io.IOException

  This constructor creates FaultInfo for a soap:headerFault.

### FaultInfo

    public FaultInfo(QName faultMessage,
                     java.lang.String faultPart,
                     java.lang.String faultUse,
                     java.lang.String faultNamespaceURI,
                     SymbolTable symbolTable)
              throws java.io.IOException

Method Detail

### getMessage

    public javax.wsdl.Message getMessage()

### getXMLType

    public QName getXMLType()

### getUse

    public Use getUse()

### getQName

    public QName getQName()

  Return the QName of a fault. This method may return null if no parts are in the fault message. If the part of the fault is a type, then the QName is derived from the element name and the provided namespace (this namespace SHOULD come from the binding). If the part of the fault is an element, then the QName is the QName of the element, and the given namespace is ignored.

### getName

    public java.lang.String getName()

  Return the name of the fault. This is the name= attribute from a portType fault or the localname of a header fault.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.